import { Directive, Input } from '@angular/core';

import Validation from './Validation';

import {
  FormGroup,
  NG_VALIDATORS,
  ValidationErrors,
  Validator,
} from '@angular/forms';


@Directive({
  selector: '[appMatchPassword]',
  providers: [
    {
      provide: NG_VALIDATORS,
      useExisting: AppMatchPasswordDirective,
      multi: true,
    },
  ],
})
export class AppMatchPasswordDirective implements Validator {

  constructor() { }
  @Input('appMatchPassword') matchPassword: string[] = [];

  validate(formGroup: FormGroup): ValidationErrors | null {
    return Validation.match(
      this.matchPassword[0],
      this.matchPassword[1]
    )(formGroup);
  }
}
